Subject: Re: [PATCH] Add yadm

From: Ellis Kenyő <[email-masked]>
Date: Mon, 01 Feb 2021 03:44:06 +0000

Hi Leo,

I understand what to do, I just wasn't sure how dependencies installed later would be handled. Some are optional and if they don't exist yadm just carries on, but some are required.

Would the optional ones still be handled? 

On 31 Jan 2021, 20:36, at 20:36, Leo Prikler <[email-masked]> wrote:
>Hi Ellen,
>
>Am Sonntag, den 31.01.2021, 20:16 +0000 schrieb Ellis Kenyő:
>> Hi Leo,
>> 
>> Thanks for the feedback.
>> 
>> > Your commit is missing a ChangeLog in its message.
>> This will be added with the next patch.
>> 
>> > Document why (i.e. "no check target").
>> I have also added similar comments for the other removed stages.
>That's not as important, gnu-build-system is often used as base for
>packages and build system, that don't actually have configure.  For
>disabled tests, however, it is not clear without comment whether they
>fail or whether they simply don't exist.
>
>> > yadm has a few things you need to patch.  For one, its shebang 
>> > is
>> > /bin/sh despite requiring bash.  Also it contains a large number 
>> > of
>> > _PROGRAM variables, which would be need to be replaced by their 
>> > actual
>> > store path (use the which procedure for that).
>> 
>> Patch them to be the $(which <exe>) expression or evaluate that?
>> If the latter, I'm not sure how that would handle installing deps
>> retroactively.
>You'd add the packages, that define those programs as inputs, then
>you do something along the lines of
>
>  (substitute* "yadm" 
>    (("(.*)_PROGRAM=\"(.*)\"" all var prog)
>     (format #f "~a_PROGRAM=~s" var (which prog))))
>
>inside some phase after unpack.
>Please apologize if the snippet above doesn't actually work for your
>case, I haven't tried it.
>
>By the way, git format-patch seems to swallow the Umlaut (or however
>it's called in your language) in your surname.  If you want it to be
>that way, then fair enough, just know that there's no policy
>prohibiting UTF-8 in committer names.
>
>Regards,
>Leo